OpenTTD

Functions
terraform_gui.h File Reference

GUI stuff related to terraforming. More...

`#include "window_type.h"`

Go to the source code of this file.

## Functions
Window * | ShowTerraformToolbar (Window *link=NULL)
| Show the toolbar for terraforming in the game. More...
Window * | ShowEditorTerraformToolbar ()
| Show the toolbar for terraforming in the scenario editor. More...

## Detailed Description

GUI stuff related to terraforming.

Definition in file terraform_gui.h.

## Function Documentation

## ◆ ShowEditorTerraformToolbar()

Window* ShowEditorTerraformToolbar | ( |  | ) |

Show the toolbar for terraforming in the scenario editor.

Returns
  The allocated toolbar if the window was newly opened, else `NULL`.

Definition at line 752 of file terraform_gui.cpp.

## ◆ ShowTerraformToolbar()

Window* ShowTerraformToolbar | ( | Window * | link | ) |

Show the toolbar for terraforming in the game.

Parameters

  link | The toolbar we might want to link to.

Returns
  The allocated toolbar if the window was newly opened, else `NULL`.

Definition at line 358 of file terraform_gui.cpp.

References _local_company, and Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID().

Referenced by MenuClickForest().